package de.duehl.basics.io;

/*
 * Copyright 2026 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import java.util.List;

import de.duehl.basics.text.Lines;

/**
 * Diese Klasse stellt einen Writer dar, der nichts ausgibt.
 *
 * @version 1.03     2026-05-28
 * @author Christian Dühl
 */

public class DoNotWriteWriter implements Writer {

    @Override
    public void write(String text) {
        // wir tun nichts ...
    }

    @Override
    public void write(int number) {
        // wir tun nichts ...
    }

    @Override
    public void writeln() {
        // wir tun nichts ...
    }

    @Override
    public void writeln(String text) {
        // wir tun nichts ...
    }

    @Override
    public void close() {
        // wir tun nichts ...
    }

    @Override
    public void flush() {
        // wir tun nichts ...
    }

    @Override
    public void writeAllLines(List<String> list) {
        // wir tun nichts ...
    }

    @Override
    public void writeAllLines(Lines lines) {
        // wir tun nichts ...
    }

    @Override
    public void writeFieldsLine(List<String> fields) {
        // wir tun nichts ...
    }

    @Override
    public void writeFieldsLine(String... fields) {
        // wir tun nichts ...
    }

    @Override
    public void writeFieldsLine(List<String> fields, String... moreFields) {
        // wir tun nichts ...
    }

    @Override
    public String getFileName() {
        return "";
    }

}
